#include "mylabel.h"
#include<QMouseEvent> //引入鼠标事件

mylabel::mylabel(QWidget *parent) : QLabel(parent) //构造函数
{
    this->setMouseTracking(true); //启动就追踪鼠标，mouseMoveEvent事件就不需要按下一次才开始追踪。
}
/*----------------------------------鼠标事件：按下、释放、移动----------------------------------------*/
void mylabel::mousePressEvent(QMouseEvent *ev) //按下
{
    int i=ev->x();
    int j=ev->y();
    if(ev->button()==Qt::LeftButton)
    {
        //QString str=QString("%1 %2").arg(123).arg("mike"); //格式化字符串，类似sprintf函数
        //用html定制字体
        QString text=QString("<center><h1>Mouse %0 Press(%1,%2)</h1></center>").arg("Left").arg(i).arg(j);
        this->setText(text);
    }
}
void mylabel::mouseReleaseEvent(QMouseEvent *ev) //抬起
{
    QString text=QString("<center><h1>Mouse Release(%1,%2)</h1></center>").arg(ev->x()).arg(ev->y());
    this->setText(text);
}
void mylabel::mouseMoveEvent(QMouseEvent *ev) //移动
{
    QString text=QString("<center><h1>Mouse Move(%1,%2)</h1></center>").arg(ev->x()).arg(ev->y());
    this->setText(text);
}
/*-------------------------------------进入、离开事件--------------------------------------*/
void mylabel::enterEvent(QEvent *ev)
{
    QString text=QString("<center><h1>Mouse Enter</h1></center>");
    this->setText(text);
}
void mylabel::leaveEvent(QEvent *ev)
{
    QString text=QString("<center><h1>Mouse Leave</h1></center>");
    this->setText(text);
}
